al_ustr_prev_get(3)

NAME

al_ustr_prev_get - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int32_t al_ustr_prev_get(const ALLEGRO_USTR *us, int *pos)

DESCRIPTION

Find the beginning of a code point before byte offset *pos, then return it. Note this performs a pre-increment.

On success returns the code point value. If pos was out of bounds (e.g. past the end of the string), return -1. On an error, such as an invalid byte sequence, return -2. As with al_ustr_prev(3), invalid byte sequences may be skipped while advancing.

SEE ALSO

al_ustr_get_next(3)